module Sentinel
  class SessionController < ApplicationController

    respond_to :html, :js

    def new
      # session[:user_id] = nil
      # session[:cart] = nil
      if authenticated_user
        redirect_to offers_path
      else
        @session = User.new
      end
    end

    def create
      @session = User.find_by_email(params[:user][:email])
      if @session && User.authenticate(@session.email, params[:user][:password])
        session[:user_id] = @session.id
        if authenticated_user.admin
          # o location somente redirecionarÃ¡ se o verbo HTTP for um POST ou PUT.
          respond_with @session, location: products_path
        else
          redirect_to offers_path
        end
      else
        respond_with @session, location: new_session_path
      end
    end

    def destroy
      session[:user_id] = nil
      redirect_to new_session_path
    end

  end
end