module Sentinel
  class UsersController < Sentinel::ApplicationController
    respond_to :html

    def new
      respond_with @user = User.new
    end

    def create
      respond_with @user = User.create(params[:user])
    end

    def show
      respond_with @user = User.find(params[:id])
    end

    def edit
      @user = User.find(params[:id])
    end

    def update
      respond_with @user = User.update(params[:id], params[:user])
    end

    def destroy
      respond_with @user = User.destroy(params[:id])
    end

  end
end
