# encoding: utf-8

module Sentinel
  module Generators
    module Install
      class MigrationsGenerator < ::Rails::Generators::Base
        include Rails::Generators

        ROOT_PATH = "../../../../.."

        # if run as task
        desc "Copy migrations with .sentinel to application"

        source_root File.expand_path(ROOT_PATH, __FILE__)

        def copy_migrations
          paths = Dir["#{File.absolute_path("#{ROOT_PATH}/db/migrate", __FILE__)}/*.rb"]
          module_name = Module.nesting.last.name.downcase

          paths.each do |d|
            ext = File.extname(d)
            filename = File.basename(d, ext)
            file = "#{filename}.#{module_name}#{ext}"
            # uses source path
            copy_file d, "db/migrate/#{file}"
          end

        end

      end
    end
  end
end
